Freeze Wallet

This endpoint freezes a customer's wallet, disabling all financial transactions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

WalletId is different from customerID

Please note that the WalletId is different from the customerID. To get the WalletId, run the Get customer list endpoint. The id within the wallet object is the walletId.

Below is a sample response of the Get customer list endpoint. The walletId is within the wallet object

{
    "data": {
      "userInfo": {
        "firstName": "john",
        "lastName": "ugochukwu",
        "phoneNumber": "08030135863",
        "roles": [
          "USER"
        ],
        "userType": "CUSTOMER",
        "address": "lugbe,abuja",
        "bvn": "21000000003",
        "dateOfBirth": "1992-05-17",
        "id": "ecca57f9-a1be-4463-a719-937ef287fb78",
        "createdAt": "2023-10-08T15:51:30.312Z",
        "updatedAt": "2023-10-08T15:51:30.312Z"
      },
      "wallet": {
        "id": "0b134510-c981-40f9-a0a9-983ab22544e1",
        "accountNumber": "1109854154",
        "accountName": "john ugochukwu",
        "isFrozen": false,
        "status": "active",
        "fundMethod": "STATIC_FUND"
      }
    },
    "status": 200,
    "message": "successful"
  }
Path Params
string
required

Enter the wallet ID of the customer whose account you want to freeze. See the information box to know where to find the wallet ID

Body Params
string
required

Enter the reason why you want the customer's account frozen. E.g Fraudulent transactions.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json